org.eclipse.emf.cdo.spi.common.revision

## Interface CDOReferenceAdjuster

- All Known Implementing Classes:
    CDOIDMapper, CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster

      public interface CDOReferenceAdjuster

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0
  Author:
    Simon McDuff

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `adjustReference(Object id, EStructuralFeature feature, int index)` Adjusts the internal structure of an object (e.g: `CDORevision`).

- - ### Method Detail

    - #### adjustReference

          Object adjustReference(Object id,
                                 EStructuralFeature feature,
                                 int index)

      Adjusts the internal structure of an object (e.g: `CDORevision`). This is mainly used after committing a transaction. `CDORevision` must replace `CDOIDTemp` for non-temporary `CDOID` with a mapped ID. Only the internal structure knows how to do these modifications. This is important to consider using different implementation of `CDOList`.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html